# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.birt.core.archive.ArchiveUtil
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_EXTENSION`
`".content"`
`public static final char`
`UNIX_SEPARATOR_CHAR`
`'/'`
`public static final String`
`UNIX_SEPERATOR`
`"/"`

org.eclipse.birt.core.archive.compound.ArchiveFile
Modifier and Type
Constant Field
Value
`public static final boolean`
`enableFileCache`
`true`
`public static final boolean`
`enableSystemCache`
`true`
`public static final int`
`FILE_CACHE_SIZE`
`1024`
org.eclipse.birt.core.archive.compound.ArchiveFileV2
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOC_TABLE_BLOCK`
`1`
`public static final int`
`DEFAULT_BLOCK_SIZE`
`4096`
`public static final int`
`DEFAULT_BUFFER_POOL_SIZE`
`1024`
`public static final long`
`DOCUMENT_TAG`
`90504964424259L`
`public static final long`
`DOCUMENT_VERSION_0`
`0L`
`public static final long`
`DOCUMENT_VERSION_1`
`1L`
`public static final int`
`ENTRY_ITEM_SIZE`
`128`
`public static final int`
`ENTRY_TABLE_BLOCK`
`2`
`public static final int`
`FILE_STATUS_FINISHED`
`-1`
`public static final int`
`HEADER_BLOCK`
`0`
`public static final int`
`MIN_BUFFER_POOL_SIZE`
`2`
`public static final String`
`PROPERTY_DEFAULT_BLOCK_SIZE`
`"org.eclipse.birt.core.archive.compound.DEFAULT_BLOCK_SIZE"`
org.eclipse.birt.core.archive.compound.ArchiveFileV3
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_DEPEND_ID`
`"archive.depened-id"`
`public static final String`
`PROPERTY_SYSTEM_ID`
`"archive.system-id"`
org.eclipse.birt.core.archive.compound.Block
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOC_TABLE_BLOCK`
`1`
`public static final int`
`DEFAULT_BLOCK_SIZE`
`4096`
`public static final int`
`DEFAULT_BUFFER_POOL_SIZE`
`1024`
`public static final long`
`DOCUMENT_TAG`
`90504964424259L`
`public static final long`
`DOCUMENT_VERSION_0`
`0L`
`public static final long`
`DOCUMENT_VERSION_1`
`1L`
`public static final int`
`ENTRY_ITEM_SIZE`
`128`
`public static final int`
`ENTRY_TABLE_BLOCK`
`2`
`public static final int`
`FILE_STATUS_FINISHED`
`-1`
`public static final int`
`HEADER_BLOCK`
`0`
`public static final int`
`MIN_BUFFER_POOL_SIZE`
`2`
`public static final String`
`PROPERTY_DEFAULT_BLOCK_SIZE`
`"org.eclipse.birt.core.archive.compound.DEFAULT_BLOCK_SIZE"`

org.eclipse.birt.core.data.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`ODA_PROP_CONFIG_KEY_SEPARATOR`
`"_"`
`public static final String`
`ODA_PROP_CONFIGURATION_ID`
`"OdaPropertyConfigId"`
org.eclipse.birt.core.data.DataType
Modifier and Type
Constant Field
Value
`public static final int`
`ANY_TYPE`
`0`
`public static final int`
`BINARY_TYPE`
`8`
`public static final int`
`BLOB_TYPE`
`7`
`public static final int`
`BOOLEAN_TYPE`
`1`
`public static final int`
`DATE_TYPE`
`6`
`public static final int`
`DECIMAL_TYPE`
`4`
`public static final int`
`DOUBLE_TYPE`
`3`
`public static final int`
`INTEGER_TYPE`
`2`
`public static final int`
`JAVA_OBJECT_TYPE`
`11`
`public static final int`
`SQL_DATE_TYPE`
`9`
`public static final int`
`SQL_TIME_TYPE`
`10`
`public static final int`
`STRING_TYPE`
`5`
`public static final int`
`UNKNOWN_TYPE`
`-1`
org.eclipse.birt.core.data.ExpressionUtil
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_INDICATOR`
`"data"`
`public static final String`
`DATASET_ROW_INDICATOR`
`"dataSetRow"`
`public static final String`
`DIMENSION_INDICATOR`
`"dimension"`
`public static final String`
`MEASURE_INDICATOR`
`"measure"`
`public static final String`
`PARAMETER_INDICATOR`
`"params"`
`public static final String`
`ROW_INDICATOR`
`"row"`
`public static final String`
`VARIABLE_INDICATOR`
`"vars"`

org.eclipse.birt.core.exception.BirtException
Modifier and Type
Constant Field
Value
`public static final int`
`CANCEL`
`8`
`public static final int`
`ERROR`
`4`
`public static final int`
`INFO`
`1`
`public static final int`
`OK`
`0`
`public static final int`
`WARNING`
`2`

org.eclipse.birt.core.format.DateFormatter
Modifier and Type
Constant Field
Value
`public static final String`
`DATE_UNFORMATTED`
`"DateUnformatted"`
`public static final String`
`DATETIME_UNFORMATTED`
`"DateTimeUnformatted"`
`public static final String`
`TIME_UNFORMATTED`
`"TimeUnformatted"`

org.eclipse.birt.core.framework.IPlatform
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_POINT_FACTORY_SERVICE`
`"FactoryService"`
`public static final String`
`OS_AIX`
`"aix"`
`public static final String`
`OS_HPUX`
`"hpux"`
`public static final String`
`OS_LINUX`
`"linux"`
`public static final String`
`OS_MACOSX`
`"macosx"`
`public static final String`
`OS_QNX`
`"qnx"`
`public static final String`
`OS_SOLARIS`
`"solaris"`
`public static final String`
`OS_UNKNOWN`
`"unknown"`
`public static final String`
`OS_WIN32`
`"win32"`
org.eclipse.birt.core.framework.IPlatformConfig
Modifier and Type
Constant Field
Value
`public static final String`
`BIRT_HOME`
`"BIRT_HOME"`
`public static final String`
`OSGI_ARGUMENTS`
`"OSGI_ARGUMENTS"`
`public static final String`
`OSGI_CONFIGURATION`
`"OSGI_CONFIGURATION"`
`public static final String`
`PLATFORM_CONTEXT`
`"PLATFORM_CONTEXT"`
`public static final String`
`TEMP_DIR`
`"tmpDir"`
org.eclipse.birt.core.framework.Platform
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_BIRT_HOME`
`"BIRT_HOME"`
`public static final String`
`PROPERTY_RUN_UNDER_ECLIPSE`
`"RUN_UNDER_ECLIPSE"`
`public static final int`
`SERVER_PLATFORM`
`2`

org.eclipse.birt.core.framework.parser.XMLParserException
Modifier and Type
Constant Field
Value
`public static final String`
`EXCEPTION`
`"Error.XMLParserException.EXCEPTION"`
`public static final String`
`INVALID_BOOLEAN`
`"Error.XMLParserException.INVALID_BOOLEAN"`
`public static final String`
`INVALID_INTEGER`
`"Error.XMLParserException.INVALID_INTEGER"`
`public static final String`
`SAX_ERROR`
`"Error.XMLParserException.SAX_ERROR"`
`public static final String`
`UNKNOWN_TAG`
`"Error.XMLParserException.UNKNOWN_TAG"`
`public static final String`
`WARNINGS_FOUND`
`"Error.XMLParserException.WARNINGS_FOUND"`

org.eclipse.birt.core.i18n.ResourceConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ARCHIVE_OPEN_FOR_WRITE`
`"error.ArchiveOpenForWrite"`
`public static final String`
`CANNOT_CHANGE_READONLY_BUFFER`
`"error.CanotchangeReadOnlyBuffer"`
`public static final String`
`CANNOT_LOAD_NODE`
`"error.CannotLoadNode"`
`public static final String`
`CANNOT_STARTUP_OSGI_PLATFORM`
`"error.CannotStartupOSGIPlatform"`
`public static final String`
`CONVERT_FAILS`
`"CONVERT_FAILS"`
`public static final String`
`CREATE_EXTENSION_FAIL`
`"CREATE_EXTENSION_FAIL"`
`public static final String`
`CURSOR_NOT_INITIALIZED`
`"error.CusorNotInitialized"`
`public static final String`
`EXCEED_FILE_LENGTH`
`"error.ExceedFileLength"`
`public static final String`
`EXCEED_MAX_BLOCK`
`"error.ExceedMaxBlock"`
`public static final String`
`EXCEED_MAX_BLOCK_SIZE`
`"error.ExceedMaxBlockSize"`
`public static final String`
`FILE_HAS_BEEN_CLOSED`
`"error.FileHasBeenClosed"`
`public static final String`
`FILE_IN_READONLY_MODE`
`"error.FileOpenedInReadOnlyMode"`
`public static final String`
`FILE_NAME_IS_NULL`
`"error.FileNameIsNull"`
`public static final String`
`FOLDER_NAME_IS_NULL`
`"error.FolderNameIsNull"`
`public static final String`
`INVALID_ARCHIVE_NAME`
`"error.InvalidArchiveName"`
`public static final String`
`INVALID_CURSOR`
`"error.InvalidCursor"`
`public static final String`
`INVALID_EXPRESSION`
`"INVALID_EXPRSSION"`
`public static final String`
`INVALID_INDEX`
`"error.InvalidIndex"`
`public static final String`
`INVALID_LOCK_TYPE`
`"error.InvalidLockType"`
`public static final String`
`INVALID_MAGIC_TAG`
`"error.InvaldMagicTag"`
`public static final String`
`INVALID_REGULAR_EXPRESSION`
`"birt.core.BirtComp.invalidRegularExpression"`
`public static final String`
`INVALID_SEEK_OFFSET`
`"error.InvalidSeekOffset"`
`public static final String`
`INVALID_TYPE`
`"INVALID_TYPE"`
`public static final String`
`JAVASCRIPT_COMMON_ERROR`
`"birt.core.JavascriptCommonError"`
`public static final String`
`JAVASCRIPT_ERROR`
`"birt.core.JavascriptError"`
`public static final String`
`JAVASCRIPT_NATIVE_NOT_FOUND`
`"birt.core.Javascript.nativeNotFound"`
`public static final String`
`JAVASCRIPT_PARAMETER_NOT_EXIST`
`"birt.core.Javascript.parameterNotExist"`
`public static final String`
`JAVASCRIPT_VARIABLE_NOT_EXIST`
`"birt.core.Javascript.variableNotExist"`
`public static final String`
`KEY_SIZE_ERROR`
`"error.KeySizeError"`
`public static final String`
`MALFORMED_INPUT_AROUND_BYTE`
`"error.MalformedInputAroundByte"`
`public static final String`
`MALFORMED_INPUT_ERROR`
`"error.MalformedInputError"`
`public static final String`
`MISMATCH_KEY_LENGTH`
`"error.MismatchKeyLength"`
`public static final String`
`MISMATCH_VALUE_LENGTH`
`"error.MismatchValueLength"`
`public static final String`
`NO_SUCH_SCRIPT_EXTENSION`
`"error.NoSuchScriptExtension"`
`public static final String`
`NOT_COMPOUND_FILE`
`"error.NotCompoundFile"`
`public static final String`
`NOT_EXT2_ARCHIVE`
`"error.NotExt2Archive"`
`public static final String`
`NOT_SERIALIZABLE`
`"error.NotSerializable"`
`public static final String`
`NOT_SUPPORTED_SERIALIZABLE`
`"error.NotSupportedSerializable"`
`public static final String`
`NULL_SOURCE`
`"error.NullSource"`
`public static final String`
`OUT_OF_RANGE`
`"error.OutOfRange"`
`public static final String`
`READ_ONLY_ARCHIVE`
`"error.ReadOnlyArchive"`
`public static final String`
`READ_ONLY_TREE`
`"error.ReadOnlyTree"`
`public static final String`
`UNEXPECTED_EQUAL_KEYS`
`"error.UnexpectedEqualKeys"`
`public static final String`
`UNEXPECTED_NODE_TYPE`
`"error.UnsupportedNodeType"`
`public static final String`
`UNKNOWN_VALUE_TYPE`
`"error.UnknownValueType"`
`public static final String`
`UNPARSEABLE_STRING`
`"error.UnparseableString"`
`public static final String`
`UNSUPPORTED_ARCHIVE_VERSION`
`"error.UnsupportedArchiveVersion"`
`public static final String`
`UNSUPPORTED_BLOCK_SIZE`
`"error.UnsupportedBlockSize"`
`public static final String`
`UNSUPPORTED_DATA_TYPE`
`"error.UnsupportedDataType"`
`public static final String`
`UNSUPPORTED_FILE_MODE`
`"error.UnsupportedFileMode"`
`public static final String`
`UNSUPPORTED_VERSION`
`"error.UnsupportedVersion"`
`public static final String`
`Value_SIZE_ERROR`
`"error.ValueSizeError"`

org.eclipse.birt.core.preference.IPreferences
Modifier and Type
Constant Field
Value
`public static final boolean`
`BOOLEAN_DEFAULT_DEFAULT`
`false`
`public static final double`
`DOUBLE_DEFAULT_DEFAULT`
`0.0`
`public static final String`
`FALSE`
`"false"`
`public static final float`
`FLOAT_DEFAULT_DEFAULT`
`0.0f`
`public static final int`
`INT_DEFAULT_DEFAULT`
`0`
`public static final long`
`LONG_DEFAULT_DEFAULT`
`0L`
`public static final String`
`STRING_DEFAULT_DEFAULT`
`""`
`public static final String`
`TRUE`
`"true"`
org.eclipse.birt.core.preference.PreferenceChangeEvent
Modifier and Type
Constant Field
Value
`public static final String`
`SPECIALTODEFAULT`
`"special to default"`

org.eclipse.birt.core.script.JavascriptEvalUtil
Modifier and Type
Constant Field
Value
`protected static final int`
`SCRIPT_CACHE_SIZE`
`200`
org.eclipse.birt.core.script.ScriptableParameter
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_DISPLAY_TEXT`
`"displayText"`
`public static final String`
`FIELD_VALUE`
`"value"`

org.eclipse.birt.core.template.ParserConstants
Modifier and Type
Constant Field
Value
`public static final int`
`A_EQ`
`12`
`public static final int`
`A_NAME`
`16`
`public static final int`
`ALPHA`
`13`
`public static final int`
`ALPHANUM`
`15`
`public static final int`
`ATTLIST`
`1`
`public static final int`
`ATTRVAL`
`2`
`public static final int`
`CDATA`
`17`
`public static final int`
`DEFAULT`
`0`
`public static final int`
`ELEMENTC`
`11`
`public static final int`
`END_IMAGE`
`7`
`public static final int`
`END_VALUEOF`
`3`
`public static final int`
`END_VIEWTIMEVALUEOF`
`5`
`public static final int`
`EOF`
`0`
`public static final int`
`NUM`
`14`
`public static final int`
`START_IMAGE`
`6`
`public static final int`
`START_VALUEOF`
`2`
`public static final int`
`START_VIEWTIMEVALUEOF`
`4`
`public static final int`
`TAGC`
`10`
`public static final int`
`TEXT`
`8`
org.eclipse.birt.core.template.ParserTreeConstants
Modifier and Type
Constant Field
Value
`public static final int`
`JJTATTRIBUTE`
`0`
`public static final int`
`JJTEBODY_CONTENT`
`1`
`public static final int`
`JJTIMAGE`
`2`
`public static final int`
`JJTTEMPLATE`
`6`
`public static final int`
`JJTTEXT`
`5`
`public static final int`
`JJTVALUEOF`
`3`
`public static final int`
`JJTVIEWTIMEVALUEOF`
`4`
org.eclipse.birt.core.template.SimpleCharStream
Modifier and Type
Constant Field
Value
`public static final boolean`
`staticFlag`
`false`
org.eclipse.birt.core.template.TextTemplate.ImageNode
Modifier and Type
Constant Field
Value
`public static final String`
`IMAGE_TYPE_EMBEDDED`
`"embedded"`
`public static final String`
`IMAGE_TYPE_EXPR`
`"expr"`

org.eclipse.birt.core.util.IOUtil
Modifier and Type
Constant Field
Value
`public static final int`
`INT_LENGTH`
`4`
`public static final int`
`LONG_LENGTH`
`8`
`public static final int`
`MAX_NUMBER_OF_STREAM_BUFFER`
`128`
`public static final int`
`RA_STREAM_BUFFER_LENGTH`
`8192`